#
# spec file for package container-support-utils
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           container-support-utils
Version:        0.2.2
Release:        1.12
Summary:        Open a shell inside a running container
License:        GPL-2.0
Group:          System/Packages
URL:            https://github.com/okirch/container-support-utils
Source:         %{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This utility allows you to run a shell, and use diagnostic
utilities, inside an already running container. The main
purpose of this is problem diagnosis.

%prep
%setup -q -n %{name}-%{version}

%build
make COPT="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}/usr/bin
make -C ns-exec DESTDIR=%{buildroot} install

%fdupes %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/ns-exec
%{_bindir}/savelog
%{_mandir}/man1/ns-exec.1%{?ext_man}
%{_mandir}/man1/savelog.1%{?ext_man}

%changelog
* Wed May 20 2020 rbrown@suse.com
- Update to version 0.2.2:
  * Compile fix on older systems: missing <linux/sched.h>
  * Add new README
  * Rename README -> README.sidecar
  * test-client: fix gcc warning about ignoring the return value of write()
  * io_mainloop: fix an uninitialized use warning in debug code
  * Move sidecar python code into a subdirectory
  * Add copyright and license
  * Add 'make archive' target
  * Added savelog.1; explain --savelog option in ns-exec.1
  * savelog: add long options, embellish usage msg
- Package using _service files
* Wed May 20 2020 Olaf Kirch <okir@suse.com>
- Convert to pulling directly from github via a _service file
* Mon May 18 2020 Olaf Kirch <okir@suse.com>
- Compile fix on older systems: missing <linux/sched.h>
* Tue May 12 2020 Richard Brown <rbrown@suse.com>
- Tidy up specfile
* Wed May  6 2020 Olaf Kirch <okir@suse.com>
- Updated to version 0.2
* Mon May  4 2020 Olaf Kirch <okir@suse.com>
- Initial import
